WbResource (Gradle API 8.11)

Package org.gradle.plugins.ide.eclipse.model

## Class WbResource

- java.lang.Object
- - org.gradle.plugins.ide.eclipse.model.WbResource

- All Implemented Interfaces:
    `WbModuleEntry`

      public class WbResource
      extends java.lang.Object
      implements WbModuleEntry

  A wtp descriptor resource entry.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WbResource​(Node node)` |
    `WbResource​(java.lang.String deployPath, java.lang.String sourcePath)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appendNode​(Node node)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getDeployPath()` |
    `java.lang.String` | `getSourcePath()` |
    `int` | `hashCode()` |
    `void` | `setDeployPath​(java.lang.String deployPath)` |
    `void` | `setSourcePath​(java.lang.String sourcePath)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WbResource

          public WbResource​(Node node)

    - #### WbResource

          public WbResource​(java.lang.String deployPath,
                            java.lang.String sourcePath)

  - ### Method Detail

    - #### getDeployPath

          public java.lang.String getDeployPath()

    - #### setDeployPath

          public void setDeployPath​(java.lang.String deployPath)

    - #### getSourcePath

          public java.lang.String getSourcePath()

    - #### setSourcePath

          public void setSourcePath​(java.lang.String sourcePath)

    - #### appendNode

          public void appendNode​(Node node)

      Specified by:
        `appendNode` in interface `WbModuleEntry`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`